import 'package:flutter_doc_annotation/flutter_doc_annotation.dart';
import 'package:flutter_doc_builder/src/generator.dart';
import 'package:source_gen_test/source_gen_test.dart';

Future<void> main() async {
  final libraryReader =
      await initializeLibraryReaderForDirectory('test', 'source_gen.dart');
  initializeBuildLogTracking();
  testAnnotatedElements<Doc>(libraryReader, FlutterDocGenerator());
}
